from feedgen.feed import FeedGenerator

def generate_feed_for_yt_file():

    print("generating podcast feed...")
    fg = FeedGenerator()
    fg.id('http://lernfunk.de/media/654321')
    fg.title('Some Testfeed')
    fg.author( {'name':'John Doe','email':'john@example.de'} )
    fg.link( href='http://example.com', rel='alternate' )
    fg.logo('http://ex.com/logo.jpg')
    fg.subtitle('This is a cool feed!')
    fg.link( href='http://larskiesow.de/test.atom', rel='self' )
    fg.language('en')

    add_entry(fg)

def add_entry(fg):
    from feedgen.feed import FeedGenerator
    # fg = FeedGenerator()
    fg.load_extension('podcast')
    # fg.podcast.itunes_category('Technology', 'Podcasting')

    fe = fg.add_entry()
    fe.id('http://lernfunk.de/media/654321/1/file.mp3')
    fe.title('The First Episode')
    fe.description('Enjoy our first episode.')
    fe.enclosure('http://lernfunk.de/media/654321/1/file.mp3', 0, 'audio/mpeg')

    fg.rss_str(pretty=True)
    print("generating xml file...")
    fg.rss_file('podcast.xml')
    fg.rss_file('./feed/podcast.xml')
